IgnoreSpecFactory (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class IgnoreSpecFactory

    java.lang.Object
      org.apache.http.impl.cookie.IgnoreSpecFactory

All Implemented Interfaces:
  CookieSpecFactory, CookieSpecProvider

Deprecated. (4.4) Use `IgnoreSpecProvider`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class IgnoreSpecFactory

extends Object
implements CookieSpecFactory, CookieSpecProvider

`CookieSpecProvider` implementation that ignores all cookies.

Since:
  4.1

Constructor Summary
`IgnoreSpecFactory()` Deprecated.

Method Summary
`CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Deprecated. Creates an instance of `CookieSpec`.
`CookieSpec` | `newInstance(org.apache.http.params.HttpParams params)` Deprecated. Creates an instance of `CookieSpec` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IgnoreSpecFactory

    public IgnoreSpecFactory()

  Deprecated.

Method Detail

### newInstance

    public CookieSpec newInstance(org.apache.http.params.HttpParams params)

  Deprecated.
  Description copied from interface: `CookieSpecFactory`
  Creates an instance of `CookieSpec` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `CookieSpecFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    cookie spec.

### create

    public CookieSpec create(org.apache.http.protocol.HttpContext context)

  Deprecated.
  Description copied from interface: `CookieSpecProvider`
  Creates an instance of `CookieSpec`.

  Specified by:
    `create` in interface `CookieSpecProvider`
  Returns:
    auth scheme.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.